# How to configure the QLM License Server to handle large requests

When using the QLM built-in backup and restore functionality, the data sent to the server could be quite large.

If you see errors such as "Request Entity Too Large", you will need to update the QLM License Server's web.config file to enable larger loads.

1\. requestLimits setting

```
<system.webserver>
   <security>
     <requestFiltering>
        <requestLimits maxAllowedContentLength="334217728" />
     </requestFiltering>
   </security>
</system.webserver>
```

2\. maxRequestLength setting

```
<system.web>
<httpRuntime maxRequestLength="2097151" executionTimeout="1800" />
</system.web>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/qlm-license-server/how-to-configure-the-qlm-license-server-to-handle-large-requests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
